DESede.KeyGenerator (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jcajce.provider.symmetric

## Class DESede.KeyGenerator

- java.lang.Object
- - javax.crypto.KeyGeneratorSpi
  - - org.bouncycastle.jcajce.provider.symmetric.util.BaseKeyGenerator
    - - org.bouncycastle.jcajce.provider.symmetric.DESede.KeyGenerator

- Enclosing class:
    DESede

      public static class DESede.KeyGenerator
      extends BaseKeyGenerator

  DESede - the default for this is to generate a key in a-b-a format that's 24 bytes long but has 16 bytes of key material (the first 8 bytes is repeated as the last 8 bytes). If you give it a size, you'll get just what you asked for.

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseKeyGenerator

      `algName, defaultKeySize, engine, keySize, uninitialised`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DESede.KeyGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.crypto.SecretKey` | `engineGenerateKey()`
    `protected void` | `engineInit(int keySize, java.security.SecureRandom random)`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseKeyGenerator

      `engineInit, engineInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DESede.KeyGenerator

          public DESede.KeyGenerator()

  - ### Method Detail

    - #### engineInit

          protected void engineInit(int keySize,
                        java.security.SecureRandom random)

      Overrides:
        `engineInit` in class `BaseKeyGenerator`

    - #### engineGenerateKey

          protected javax.crypto.SecretKey engineGenerateKey()

      Overrides:
        `engineGenerateKey` in class `BaseKeyGenerator`